Home
Home
  1. ๐Ÿ’ธTransaction Screening API
  • ๐Ÿš€ Getting Started
  • ๐Ÿ”Ž Screening API
    • Overview
    • Blacklist Matching Logic
    • ๐Ÿ“ก Endpoints
      • Blockchain Analysis
      • Individuals Analysis
      • Organizations Analysis
      • Screening Entities Summary Analysis
      • Create BlackList
      • Get All BlackList Records
      • Get Blacklist Record by ID
      • Delete Blacklist Record by ID
      • Update Blacklist Record by ID
      • Update Blacklist Settings Account
  • ๐ŸŒŠ Flow API
    • Overview
    • Flow Step: Identity Verification
    • Flow Step: Onboarding Individual
    • Flow Step: Onboarding Organization
    • ๐Ÿ“ก Endpoints
      • Authentication token
      • Get Flow Instances
      • Get Flow Instance By Id
      • Get File from Flow Instance
      • Identity: Get Details
      • Identity: Get Files
      • Identity: Update Status
      • Onboarding: Get Details
      • Onboarding: Get File
      • Onboarding: Get Multiple Files
      • Onboarding: Update Status
      • Onboarding: Get Entity by document number
      • Onboarding: Get Entity List by document number
    • ๐Ÿ“ค Webhooks
      • Overview
      • Flow
      • Identity Verification
      • Onboarding Individual
      • Onboarding Organizations
      • Identity Verification by Onboarding
  • ๐Ÿ’ธTransaction Screening API
    • ๐Ÿ”‘ Authentication
    • Overview
    • Transaction Analysis
    • Monitoring & History
    • Document Types
    • Supported Currencies
    • Diagram
    • ๐Ÿ“ค Webhooks
    • ๐Ÿ“ก Endpoints
      • Submit Transaction
      • List Transactions
      • List Document types
      • List Cryptocurrencies
      • Register remitter
      • Register Beneficiary
  • ๐Ÿ“‚ Resources
    • Concept Details
    • Enum Validation
Home
Home
  1. ๐Ÿ’ธTransaction Screening API

Document Types

This resource allows you to retrieve the valid identification document types accepted by Rillis, categorized by country and entity type. This is essential for correctly registering Remitters and Beneficiaries in the transaction screening process:
By using this endpoint, you can obtain the "type" corresponding to the specific country, which will allow you to identify the required document type.
URL: https://app.rillis.io/api/v1/resources/validation/document-types
Method: GET
API Reference: To see the technical details, parameters, and live testing for this process, go to:
GET - List Document Types

Request#

Request Parameters (Query Strings)#

All parameters, including authentication, must be sent as query strings in the URL.
ParameterTypeRequiredDescription
client_idStringYesYour unique client identifier.
client_secretStringYesYour secret API key.
countryStringNoISO3 country code (e.g., COL, USA, ARG). Case-insensitive.
entityEnumNoFilter by entity type: person or company. Case-insensitive.

Response Scenarios#

The API response adapts dynamically based on the filters applied.

1. Full List (No filters)#

Returns all supported documents for both individuals and legal entities across all countries.
{
  "person": [
    {
      "code": "COL",
      "name": "COLOMBIA",
      "locTypes": [
        { "type": "CO-CC", "name": "CEDULA DE CIUDADANIA" },
        { "type": "CO-PASS", "name": "PASSPORT NUMBER" }
      ]
    }
  ],
  "company": [
    {
      "code": "COL",
      "name": "COLOMBIA",
      "locTypes": [
        { "type": "CO-NIT", "name": "TAX IDENTIFICATION NUMBER" }
      ]
    }
  ]
}

2. Filtered by Entity and Country#

Request: GET .../document-types?country=COL&entity=person#

{
  "person": [
    {
      "code": "COL",
      "name": "COLOMBIA",
      "locTypes": [
        { "type": "CO-CC", "name": "CEDULA DE CIUDADANIA" },
        { "type": "CO-PASS", "name": "PASSPORT NUMBER" }
      ]
    }
  ]
}

Response Parameters#

ParameterTypeDescription
personArrayList of countries with document types for individuals.
companyArrayList of countries with document types for companies.
codeStringCountry code in ISO 3166-1 alpha-3 format.
nameStringCountry name.
locTypesArrayList of document types available for the country.
locTypes.typeStringDocument type code.
locTypes.nameStringDocument type name.

Error Responses#

In case of an error, the API will return an appropriate HTTP status code along with a JSON response containing error details:
Status CodeDescription
400Bad Request - The request was invalid or cannot be processed.
401Unauthorized - Authentication credentials are missing or invalid.
403Forbidden - The client does not have permission to access the requested resource.
429Too Many Requests - The client has sent too many requests in a given amount of time.
500Internal Server Error - An error occurred on the server.

Example Error Response#

{
  "success": false,
  "error": "Invalid country code",
  "error_code": "INVALID_PARAMETER",
  "details": "Country code must be a valid ISO 3166-1 alpha-2 code"
}

Rate Limits#

Maximum of 100 requests per minute.
Maximum of 1,000 requests per hour.
Maximum of 10,000 requests per day.
Exceeding these limits will result in a 429 Too Many Requests response.
Modified atย 2026-02-06 21:07:00
Previous
Monitoring & History
Next
Supported Currencies
Built with